> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 信用卡订阅 — 取消订阅

> 信用卡订阅 — 取消订阅（POST /subscription/cancel）：取消订阅；关键请求参数含 subscriptionNo。

> [!NOTE]
>
> 本页所有示例请求均基于**沙盒（测试）环境**，请注意区分正式环境。

#### 密钥私钥(生成签名)

## 相关主题

* [订阅支付接口](https://doc.haipay.net/zh/history/V20260628/api/version2/Subscription.md)
* [HaiPay API 文档简介](https://doc.haipay.net/zh/history/V20260628/api-reference/overview.md)
* [HaiPay 配置与签名指南](https://doc.haipay.net/zh/history/V20260628/guide/config_settings_and_signature_rules_guide.md)
* [查阅接口响应结构与错误码](https://doc.haipay.net/zh/history/V20260628/guide/error_response_appendix.md)


## OpenAPI

````yaml docs/zh/api-reference/subscription/subscription.openapi.json POST /subscription/cancel
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /subscription/cancel:
    post:
      tags: []
      summary: 取消订阅
      description: 取消订阅
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 业务ID（后台获取，需要根据URL中的币种传递对应的业务ID）
                subscriptionNo:
                  type: string
                  description: 平台订阅号
                sign:
                  type: string
                  description: 签名
              required:
                - appId
                - subscriptionNo
                - sign
              additionalProperties: false
            example:
              appId: 1724
              sign: >-
                gETp00ngwiG0qPVcpldPGEsWRCShOJUbwxWizbL9xGbWCtlBsTPFshQtClLtBCRAdhoVNZAD7UQXjdiAsr74neYu1akj1a6d3sNapGaqoTdBgykXyr1hLVe14AIUhLRg0Mj2elOlMPiWMdccSC+i4G/lfPpJLpS/T08S8qttExTOjML5Rrny5jNsYedjf+Jo3jrPsLcfZFX3QrWA4txPG+x7ZrShXUonOiZMoH6hwU8PcETrC0vpGqTwySJ6siS2AwyPOZElR6nf3geIx7GAllFUuZSyjCvRDE+9JeZl5Y2Ohlm9xcRxqHgMi4YB3jSJcwo7GqGqnPapZnO2GvcbGw==
              subscriptionNo: '4025011311423010028'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: 状态码
                    example: '1'
                  error:
                    type: string
                    description: 错误码
                    example: '00000000'
                  msg:
                    type: string
                    description: 返回信息
                    example: ''
                  data:
                    type: object
                    description: 返回数据
                    properties:
                      subscriptionOrderId:
                        type: string
                        description: 商户订阅号(必须保证唯一性)
                      subscriptionNo:
                        type: string
                        description: 平台订阅号
                      appId:
                        type: string
                        description: 业务ID
                      payType:
                        type: string
                        description: 订阅固定为SUBSCRIPTION
                        example: SUBSCRIPTION
                      inBankCode:
                        type: string
                        description: 银行编码
                      status:
                        type: string
                        description: '订阅状态(-1: 订阅异常, 1: 处理中, 2: 订阅成功, 3: 订阅失败, 4: 订阅取消)'
                        enum:
                          - '-1'
                          - '1'
                          - '2'
                          - '3'
                          - '4'
                      sign:
                        type: string
                        description: 签名
                    additionalProperties: false
                additionalProperties: false
              example:
                status: '1'
                error: '00000000'
                msg: success
                data:
                  subscriptionOrderId: '6022111516571001'
                  subscriptionNo: ''
                  appId: '1054'
                  payType: ''
                  inBankCode: PIX
                  status: '1'
                  sign: >-
                    af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
          headers: {}
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.